$primary: #fec5bb;

@import "../../node_modules/bootstrap/scss/bootstrap";

body {
    background: linear-gradient(to right top, $primary, #fceae6);
}

ul { 
    padding: 0;
}

textarea {
    resize: none;
}

.container {
    max-width: 1024px;
}

.post {
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 12px;
    background-color: rgba(255, 255, 255, 0.65);
    display: grid;
    grid-template-columns: 4fr 1fr;
    justify-content: space-between;
    gap: 15px;

    .date {
        font-size: 0.7em;
        text-transform: uppercase;
    }

    .buttons {
        place-self: end;
        
        .edit-btn, .delete-btn {
            font-size: 0.8em;
        }
    }

    .comment { 
        grid-column: span 2;
    }
}

@media screen and (max-width: 772px) {
    .input-group {
        display: grid;

        textarea.form-control {
            width: 100%;
            border: none;
        }
    }

    .post {
        grid-template-columns: 1fr;
    }
}
